<?php
namespace Pinpoint\ProductPersonalisation\Api;

use Pinpoint\ProductPersonalisation\Api\Data\FontInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;

/**
 * Interface FontRepositoryInterface
 * @package Pinpoint\ProductPersonalisation\Api
 */
interface FontRepositoryInterface
{
    /**
     * @param FontInterface $page
     * @return mixed
     */
    public function save(FontInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function getById($id);

    /**
     * @param SearchCriteriaInterface $criteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $criteria);

    /**
     * @param FontInterface $page
     * @return mixed
     */
    public function delete(FontInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function deleteById($id);
}
