<?php
namespace Pinpoint\ProductPersonalisation\Api;

use Pinpoint\ProductPersonalisation\Api\Data\ImageRowInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;

/**
 * Interface ImageRowRepositoryInterface
 * @package Pinpoint\ProductPersonalisation\Api
 */
interface ImageRowRepositoryInterface
{
    /**
     * @param ImageRowInterface $page
     * @return mixed
     */
    public function save(ImageRowInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function getById($id);

    /**
     * @param SearchCriteriaInterface $criteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $criteria);

    /**
     * @param ImageRowInterface $page
     * @return mixed
     */
    public function delete(ImageRowInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function deleteById($id);
}
