<?php
namespace Pinpoint\ProductPersonalisation\Api;

use Pinpoint\ProductPersonalisation\Api\Data\ImageTemplateInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;

/**
 * Interface ImageTemplateRepositoryInterface
 * @package Pinpoint\ProductPersonalisation\Api
 */
interface ImageTemplateRepositoryInterface
{
    /**
     * @param ImageTemplateInterface $page
     * @return mixed
     */
    public function save(ImageTemplateInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function getById($id);

    /**
     * @param SearchCriteriaInterface $criteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $criteria);

    /**
     * @param ImageTemplateInterface $page
     * @return mixed
     */
    public function delete(ImageTemplateInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function deleteById($id);
}
