<?php

namespace Pinpoint\ProductPersonalisation\Block\Product\Preview;

use Magento\Framework\View\Element\Template;

/**
 * Class Button
 * @package Pinpoint\ProductPersonalisation\Block\Product\Preview
 */
class Button extends Template
{
    /**
     * @var string $_template
     */
    protected $_template = "Pinpoint_ProductPersonalisation::product/preview.phtml";

    /**
     * @var \Magento\Framework\Registry
     */
    protected $registry;

    /**
     * Button constructor.
     * @param Template\Context $context
     * @param \Magento\Framework\Registry $registry
     * @param array $data
     */
    public function __construct(
        Template\Context $context,
        \Magento\Framework\Registry $registry,
        array $data = []
    ) {
        $this->registry = $registry;

        parent::__construct($context, $data);
    }

    /**
     * @return \Magento\Catalog\Model\Product
     */
    public function getProduct()
    {
        return $this->registry->registry('current_product');
    }
}