<?php

namespace Pinpoint\ProductPersonalisation\Controller\Adminhtml\Font;

use Magento\Backend\App\Action;

/**
 * Class Delete
 * @package Pinpoint\ProductPersonalisation\Controller\Adminhtml\Font
 */
class Delete extends \Magento\Backend\App\Action
{
    /**
     * @var string
     */
    const ADMIN_RESOURCE = 'Pinpoint_ProductPersonalisation::fontAddEdit';

    /**
     * @var \Pinpoint\ProductPersonalisation\Model\Font
     */
    protected $font;

    /**
     * Delete constructor.
     * @param Action\Context $context
     * @param \Pinpoint\ProductPersonalisation\Model\Font $font
     */
    public function __construct(
        Action\Context $context,
        \Pinpoint\ProductPersonalisation\Model\Font $font
    ) {
        $this->font = $font;
        parent::__construct($context);
    }

    /**
     * @return \Magento\Backend\Model\View\Result\Redirect
     */
    public function execute()
    {
        $id = $this->getRequest()->getParam('id');
        /** @var \Magento\Backend\Model\View\Result\Redirect $resultRedirect */
        $resultRedirect = $this->resultRedirectFactory->create();
        if ($id) {
            try {
                // init model and delete
                $model = $this->font;
                $model->load($id);
                $model->delete();
                // display success message
                $this->messageManager->addSuccess(__('You have deleted the font.'));
                // go to grid
                return $resultRedirect->setPath('*/fonts/fontlist');
            } catch (\Exception $e) {
                // display error message
                $this->messageManager->addError($e->getMessage());
                // go back to edit form
                return $resultRedirect->setPath('*/*/edit', ['id' => $id]);
            }
        }
        // display error message
        $this->messageManager->addError(__('We can not find the font to delete.'));
        // go to grid
        return $resultRedirect->setPath('*/*/');
        
    }    
    
}
