<?php
namespace Pinpoint\ProductPersonalisation\Controller\Adminhtml\ImageTemplate;

use Magento\Backend\App\Action;

/**
 * Class Delete
 * @package Pinpoint\ProductPersonalisation\Controller\Adminhtml\ImageTemplate
 */
class Delete extends \Magento\Backend\App\Action
{
    /**
     * @var string
     */
    const ADMIN_RESOURCE = 'Pinpoint_ProductPersonalisation::templateForm';

    /**
     * @var \Pinpoint\ProductPersonalisation\Model\ImageTemplate
     */
    protected $imageTemplate;

    /**
     * Delete constructor.
     * @param Action\Context $context
     * @param \Pinpoint\ProductPersonalisation\Model\ImageTemplate $imageTemplate
     */
    public function __construct(
        Action\Context $context,
        \Pinpoint\ProductPersonalisation\Model\ImageTemplate $imageTemplate
    ) {
        $this->imageTemplate = $imageTemplate;

        parent::__construct($context);
    }

    /**
     * @return \Magento\Backend\Model\View\Result\Redirect
     */
    public function execute()
    {
        $id = $this->getRequest()->getParam('id');

        /** @var \Magento\Backend\Model\View\Result\Redirect $resultRedirect */
        $resultRedirect = $this->resultRedirectFactory->create();
        if ($id) {

            try {
                $model = $this->imageTemplate;
                $model->load($id);
                $model->delete();
                $this->messageManager->addSuccess(__('You have deleted the image template.'));
                return $resultRedirect->setPath('*/imagetemplates/templatelist');
            } catch (\Exception $e) {
                $this->messageManager->addError($e->getMessage());
                return $resultRedirect->setPath('*/imagetemplates/edit', ['id' => $id]);
            }
        }

        $this->messageManager->addError(__('We can not find the template to delete.'));
        return $resultRedirect->setPath('*/imagetemplates/templatelist');
        
    }    
    
}