<?php

namespace Pinpoint\ProductPersonalisation\Controller\Adminhtml\ImageTemplate;

use Magento\Backend\App\Action;
use Magento\Backend\App\Action\Context;

class Preview extends Action
{
    /**
     * @var \Magento\Framework\Controller\Result\JsonFactory
     */
    protected $resultJsonFactory;

    protected $preview;

    public function __construct(
        Context $context,
        \Magento\Framework\Controller\Result\JsonFactory $resultPageFactory,
        \Pinpoint\ProductPersonalisation\Model\ImageTemplate\Preview $preview
    ) {
        $this->preview = $preview;

        parent::__construct($context);
        $this->resultJsonFactory = $resultPageFactory;
    }

    /**
     * Check the permission to run it
     *
     * @return boolean
     */
    protected function _isAllowed()
    {
        return $this->_authorization->isAllowed('Pinpoint_ProductPersonalisation::imagetemplate');
    }


    /**
     * @return \Magento\Framework\Controller\Result\Json
     */
    public function execute()
    {
        $resultPage = $this->resultJsonFactory->create();

        return $resultPage->setData($this->preview->drawGuidelinePreview($this->getRequest()));
    }
}
