<?php
namespace Pinpoint\ProductPersonalisation\Model;
/**
 * Class Font
 * @package Pinpoint\ProductPersonalisation\Model
 */
class Font extends \Magento\Framework\Model\AbstractModel implements \Pinpoint\ProductPersonalisation\Api\Data\FontInterface, \Magento\Framework\DataObject\IdentityInterface
{
    /**
     * @var string
     */
    const CACHE_TAG = 'pinpoint_productpersonalisation_font';

    /**
     * @var string
     */
    const MEDIA_DIR = 'pinpoint_fonts';

    protected function _construct()
    {
        $this->_init('Pinpoint\ProductPersonalisation\Model\ResourceModel\Font');
    }

    /**
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }

    /**
     * @return string
     */
    public function getFontsLocation()
    {
        return 'pinpoint_pp' . DIRECTORY_SEPARATOR . 'fonts';
    }
}
