<?php

namespace Pinpoint\ProductPersonalisation\Model\Font\AttributeSet;

/**
 * Class Options
 * @package Pinpoint\ProductPersonalisation\Model\Font\AttributeSet
 */
class Options implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * @var null|array
     */
    protected $options;

    /**
     * @var \Magento\Framework\Filesystem\Driver\File
     */
    protected $file;

    /**
     * @var \Magento\Framework\Filesystem
     */
    protected $fileSystem;

    /**
     * Options constructor.
     * @param \Magento\Framework\Filesystem\Driver\File $file
     * @param \Magento\Framework\Filesystem $filesystem
     */
    public function __construct(
        \Magento\Framework\Filesystem\Driver\File $file,
        \Magento\Framework\Filesystem $filesystem
    ) {
        $this->file = $file;
        $this->fileSystem = $filesystem;
    }

    /**
     * @return array
     */
    public function toOptionArray()
    {
        if (null == $this->options) {
            $files = $this->file->readDirectory(
                $this->fileSystem
                    ->getDirectoryRead(\Magento\Framework\App\Filesystem\DirectoryList::MEDIA)
                    ->getAbsolutePath() . 'pinpoint_fonts'
            );

            $this->options = [['label' => '', 'value' => '']];

            foreach ($files as $file) {
                $this->options[] = [
                    'label' => \basename($file),
                    'value' => \basename($file)
                ];
            }
        }

        return $this->options;
    }
}
