<?php

namespace Pinpoint\ProductPersonalisation\Observer;

use Magento\Framework\Event\Observer;
use Magento\Framework\Event\ObserverInterface;

/**
 * Class LayoutLoadBeforeObserver
 * @package Pinpoint\ProductPersonalisation\Observer
 */
class LayoutLoadBeforeObserver implements ObserverInterface
{
    /**
     * @var \Magento\Framework\Registry
     */
    protected $registry;

    /**
     * @var \Magento\Framework\View\Page\Config
     */
    protected $pageConfig;

    /**
     * LayoutLoadBeforeObserver constructor.
     * @param \Magento\Framework\Registry $registry
     * @param \Magento\Framework\View\Page\Config $pageConfig
     */
    public function __construct(
        \Magento\Framework\Registry $registry,
        \Magento\Framework\View\Page\Config $pageConfig
    ) {
        $this->registry = $registry;
        $this->pageConfig = $pageConfig;
    }

    /**
     * @param Observer $observer
     */
    public function execute(Observer $observer)
    {
        /** @var \Magento\Catalog\Model\Product $product */
        if ($product = $this->registry->registry('current_product')) {
            if ($attribute = $product->getAttributeText('pinpoint_pp_is_personalised')) {
                if ($attribute->getText() == 'Yes') {
                    $this->pageConfig->addBodyClass('personalise-on');
                }
            }
        }
    }
}